# `CUDA_Runtime_jll.jl` (v0.9.2+3)

[![deps](https://juliahub.com/docs/CUDA_Runtime_jll/deps.svg)](https://juliahub.com/ui/Packages/CUDA_Runtime_jll/Hs50y?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/786f33ed3069c2cbefaf319f13fbf24b4f7b529c/C/CUDA/CUDA_Runtime/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `CUDA_Runtime_jll.jl` have been built from these sources:

* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cudart/windows-x86_64/cuda_cudart-windows-x86_64-12.2.140-archive.zip (SHA256 checksum: `c63a17cd542a47aa6734263586e3dab6f1e127779099af92d9d01f220f80d750`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cupti/windows-x86_64/cuda_cupti-windows-x86_64-12.2.142-archive.zip (SHA256 checksum: `5eb71c13a03b3c1ad6004094b5a17f509ca857b23c36fb40f5def766c8ffa6e6`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvcc/windows-x86_64/cuda_nvcc-windows-x86_64-12.2.140-archive.zip (SHA256 checksum: `140ca9c560f2fa4f6f7275d815d1d6fa6bbf08901a9bae48152f6c5e50c0bb1c`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvrtc/windows-x86_64/cuda_nvrtc-windows-x86_64-12.2.140-archive.zip (SHA256 checksum: `3c02299e9fad2b5fda67301140e841f31db7edac57a57f9233f98d9066d14e32`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvdisasm/windows-x86_64/cuda_nvdisasm-windows-x86_64-12.2.140-archive.zip (SHA256 checksum: `8ab067d496dcf7f98845c46c8163d7452414a0f012e4e24e91b2b8baa456bb01`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_sanitizer_api/windows-x86_64/cuda_sanitizer_api-windows-x86_64-12.2.140-archive.zip (SHA256 checksum: `1c1d84647d331759bbed4ef820e3ad26866af7383ddcc0ba02d695b9886d7820`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcublas/windows-x86_64/libcublas-windows-x86_64-12.2.5.6-archive.zip (SHA256 checksum: `205f20a1e91a9502ad4b9bca2e66effa76ef14ef5378e1fc5b6e2a223158ac5b`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcufft/windows-x86_64/libcufft-windows-x86_64-11.0.8.103-archive.zip (SHA256 checksum: `d523ea42f195f16c4b117276797093834a1fffbbcd006c2b24cf31736d995e60`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcurand/windows-x86_64/libcurand-windows-x86_64-10.3.3.141-archive.zip (SHA256 checksum: `46058aefc4fd8fb120c8565fc6ec5dcc6b4374cf973c2523b5cb8189e51e27bb`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusolver/windows-x86_64/libcusolver-windows-x86_64-11.5.2.141-archive.zip (SHA256 checksum: `e49095d45121c18f566a06aa9e688088193f892a1a381e6028233b037bbd39fa`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusparse/windows-x86_64/libcusparse-windows-x86_64-12.1.2.141-archive.zip (SHA256 checksum: `70ea2dfc918aa23fadb8e3804cd6f04e80ec19f44eeffa635bf3e69e76b3c046`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libnvjitlink/windows-x86_64/libnvjitlink-windows-x86_64-12.2.140-archive.zip (SHA256 checksum: `21795de33dfffefa314ce7461aae3ea7509974848b8acd1842d600ee19278c4f`)

## Platforms

`CUDA_Runtime_jll.jl` is available for the following platforms:

* `Windows x86_64 {cuda=12.2}` (`x86_64-w64-mingw32-cuda+12.2`)

## Dependencies

The following JLL packages are required by `CUDA_Runtime_jll.jl`:

* [`CUDA_Driver_jll`](https://github.com/JuliaBinaryWrappers/CUDA_Driver_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libcublas`
* `LibraryProduct`: `libcublasLt`
* `LibraryProduct`: `libcudart`
* `LibraryProduct`: `libcufft`
* `LibraryProduct`: `libcupti`
* `LibraryProduct`: `libcurand`
* `LibraryProduct`: `libcusolver`
* `LibraryProduct`: `libcusolverMg`
* `LibraryProduct`: `libcusparse`
* `LibraryProduct`: `libnvJitLink`
* `LibraryProduct`: `libnvperf_host`
* `LibraryProduct`: `libnvrtc`
* `LibraryProduct`: `libnvrtc_builtins`
* `ExecutableProduct`: `compute_sanitizer`
* `FileProduct`: `libcudadevrt`
* `FileProduct`: `libdevice`
* `LibraryProduct`: `libnvperf_target`
* `LibraryProduct`: `libnvvm`
* `ExecutableProduct`: `nvdisasm`
* `ExecutableProduct`: `nvlink`
* `ExecutableProduct`: `ptxas`
